**   Program Name:  TESTCODE.PRG - TEST FUNCTION AE_CODE39
**   Author:        Milton F. Shaw Jr.
**   Company:       Auto Exec Inc. (AEI)
**   BBS:           Auto Exec BBS (508) 833-0508 - Only Registration Required 
**                  for limited access (450K download per day) - 6 nodes
**   Date:          11/26/90
**   Copyright:     (c) Copyright 1990, Auto Exec Inc, ALL RIGHTS RESERVED
**   License:       Can be distributed as FREEWARE on all public BBS's
**   Contributions: Can be made to Auto Exec BBS, P.O. Box 1712, Buzzards Bay,
**                  MA 02532
**                  Suggested $5.00
**   Compatibility: Versions available for Clipper Summer 87 and 5.0
****************************************************************************
* Information on function AE_CODE39()
*
* Versions:
*
* Summer 87   - AECODE39.OBJ
* Version 5.0 - CODE39_5.OBJ
*
* USAGE:
*
* AE_CODE39(Message (C),column (N),row (N),height (N),formfeed (L),text (L)
*
* Messages are converted to UPPER CASE By Function
*
* RETURNS:
*
* 99 = Invalid parameters - must pass all 6
* 255 = Invalid character in message
* 0  = OK
*
* Printer - Support HP Laserjet Series II compatibles
******************************************************************
* LINKING
*
* -------------- SUMMER 87 ---------------------
* PLINK86 FI TESTCODE,AECODE39 LIB CLIPPER,EXTEND
* LINK TESTCODE+AECODE39,,,CLIPPER+EXTEND
* TLINK TESTCODE+AECODE39,,,CLIPPER+EXTEND
*
* -------------- CLIPPER 5.0 -------------------
* RTLINK FI TESTCODE,CODE39_5
* LINK TESTCODE+CODE39_5,,,CLIPPER+EXTEND
****************************************************************************
set scoreboard off
set color to w+/b
for xxx=0 to 24
@xxx,0 say replicate(chr(176),80)
next
@2,40-(len("Auto Exec Inc")/2) say "Auto Exec Inc"
@3,40-(len("BAR CODE 39 Function")/2) say "BAR CODE 39 Function"
@4,40-(len("LaserJet Version")/2) say "LaserJet Version"
@24,40-(len("Auto Exec BBS - (508) 833-0508")/2) say "Auto Exec BBS - (508) 833-0508"
@22,5 say "Acceptable characters = ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890-+./$%* "
store space(13) to barcode
col=0
row=1
height=35
store "Y" to ff,codetext
do while .t.
set cursor on
@7,10 say "Enter BAR CODE MESSAGE [13 characters MAX]: " get barcode picture '@!'
@8,10 say "Enter Column Number to Print At:     " get col picture "99"
@9,10 say "Enter Row Number to Print At:        " get row picture "99"
@10,10 say "Enter Bar Code Height (DOTS) 10-50): " get height picture "99"
@11,10 say "Form Feed after Printing (Y/n):      " get ff picture "!"
@12,10 say "Print Code Text Under Bar (Y/n):     " get codetext picture "!"
set color to r+/w
@13,10 say "Esc to Exit"
set color to w+/b
read
set cursor off
if lastkey()=27
   set cursor on
   quit
endif
if codetext='Y'
   code=.T.
else
   code=.F.
endif
if ff='Y'
   formff=.T.
else
   formff=.F.
endif
result=ae_code39(barcode,col,row,height,formff,code)
do case

     case result=0
     @15,30 say "Function Worked Properly"
     inkey(2)
     @15,30 say replicate(chr(176),25)

     case result=99
     @15,30 say "Invalid Parameters"
     inkey(2)
     @15,30 say replicate(chr(176),25)

     case result=255
     @15,30 say "Invalid Characters in Code"
     inkey(2)
     @15,30 say replicate(chr(176),35)

endcase
enddo
set cursor on  
